Merge mdbtools from Debian unstable for 22.04

Bug #1946873 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mdbtools (Ubuntu)
Undecided
Sergio Durigan Junior

Bug Description

Upstream: 1.0.0~beta7
Debian: 0.9.4-1
Ubuntu: 0.9.4-1ubuntu1

Debian typically updates mdbtools every 3 months on average, and it was last updated 21.09 so may have a new version to merge around 21.12, but check back in on this monthly.

No release expected for mdbtools this cycle

### New Debian Changes ###

mdbtools (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Jean-Michel Vourgère <email address hidden> Sat, 04 Sep 2021 14:27:04 +0200

mdbtools (0.9.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.

 -- Jean-Michel Vourgère <email address hidden> Mon, 03 May 2021 11:48:12 +0200

mdbtools (0.9.2-2) experimental; urgency=medium

  * New upstream patch fixing FTBFS on some arch.

 -- Jean-Michel Vourgère <email address hidden> Tue, 16 Mar 2021 15:42:45 +0100

mdbtools (0.9.2-1) experimental; urgency=medium

  * New upstream release.
  * libmdb3.doc: Adjustement for files renaming.
  * Refreshed d/copyright.

 -- Jean-Michel Vourgère <email address hidden> Mon, 15 Mar 2021 09:29:42 +0100

mdbtools (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jean-Michel Vourgère <email address hidden> Mon, 04 Jan 2021 09:12:05 +0100

mdbtools (0.9.1~beta2-1) experimental; urgency=medium

  * New upstream beta.
  * No longer cleaning gmdb2 files.
  * d/rules: Removed extra --disable-silent-rules.
  * Moved .la files exclusion from override_dh_missing to d/not-installed.

 -- Jean-Michel Vourgère <email address hidden> Tue, 29 Dec 2020 11:07:47 +0100

mdbtools (0.9.0-1) unstable; urgency=medium

  * New upstream version: Dropped applied patch detect_glib.
  * No longer distributing upstream TODO file.

 -- Jean-Michel Vourgère <email address hidden> Thu, 17 Dec 2020 21:08:23 +0100

mdbtools (0.9.0~beta8-1) unstable; urgency=medium

  * New upstream beta:
    - Documentation CHANGELOG.md, faq.html, install.sgml are not more.
  * Dropped Build-Depends on texinfo.
  * d/copyright:
    - Removed documentation specific license.
    - Refreshed from AUTHORS file, no longer distributing AUTHORS separately.
  * Moved the few remaining documentation files to libmdb3: mdbtools-doc now
    is a transitionnal dummy package.
  * New patch api_stability to restore mdb_init mdb_exit empty deprecated
    functions.
  * New patch detect_glib to fix glib autodetection.
  * Bumped policy to 4.5.1: No change required.
  * Made all documentation directories symbolic links to libmdb3
    documentation. New dir_to_symlink maintscripts.

 -- Jean-Michel Vourgère <email address hidden> Sun, 13 Dec 2020 16:16:53 +0100

mdbtools (0.9.0~beta5-1) unstable; urgency=medium

  * New upstream beta. (Closes: #888045)

 -- Jean-Michel Vourgère <email address hidden> Sun, 08 Nov 2020 17:56:47 +0100

mdbtools (0.9.0~beta4-1) unstable; urgency=medium

  * New upstream beta:
    - Aknowledged new symbol.

 -- Jean-Michel Vourgère <email address hidden> Sun, 01 Nov 2020 15:13:09 +0100

mdbtools (0.9.0~beta3-2) unstable; urgency=medium

  * Fixed changelog: beta3 was accidently released to unstable, typos.
  * Install cleanup:
    - d/not-installed specifies which .a files are not installed.
    - Use dh 13 substitution patterns in install files.
    - Drop debian/tmp prefix in install files.

 -- Jean-Michel Vourgère <email address hidden> Sun, 25 Oct 2020 10:49:26 +0100

mdbtools (0.9.0~beta3-1) unstable; urgency=medium

  * New upstream beta: Refresh patches.
  * Bumped d/watch format to 4.
  * Let upstream handle bash-completion snippets: No longer depends on
    dh_bash-completion.
  * Bumped policy to 4.5.0: Added 'Rules-Requires-Root:no' to d/control.
  * Acknowledge the loss of 2 symbols.

### Old Ubuntu Delta ###

mdbtools (0.9.4-1ubuntu1) impish; urgency=medium

  * d/p/lp-1945478-Fix-gcc-11-error-directive-argument-is-null.patch: fix
    gcc-11 FTFBS (LP: #1945478)

 -- Christian Ehrhardt <email address hidden> Thu, 30 Sep 2021 09:56:21 +0200

Changed in mdbtools (Ubuntu):
assignee: nobody → Sergio Durigan Junior (sergiodj)
Bryce Harrington (bryce)
description: updated
Changed in mdbtools (Ubuntu):
milestone: none → ubuntu-21.12
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers